Bug 470299 - Duplicate slots (in HA Collector setup)
Duplicate slots (in HA Collector setup)
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
All Linux
urgent Severity urgent
: 1.1
: ---
Assigned To: Ernie
Frantisek Reznicek
Depends On:
  Show dependency treegraph
Reported: 2008-11-06 10:52 EST by Matthew Farrellee
Modified: 2015-11-15 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-04 10:35:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-11-06 10:52:11 EST
condor-7.1.4-0.1, cumin r2751

The Collector advertises information about Slots in the pool. In a High Availability Collector setup there are multiple Collectors, all who receive updates about slots and then publish them. north-08 and north-15 are currently in sich a setup. The result is 2 times the number of existing slots appear in the Console. An HA setup with 3 collectors would likely result in 3x the slots.

This could be addressed by suppression in the Console or moving Slots from the Collector to the Startd. The Slots published by by different Collectors have different QMF IDs.
Comment 1 Ernie 2008-12-02 14:11:32 EST
Fixed in mgmt/trunk revision 2901.

The number of slots and machines displayed in the console is adjusted by the number of collectors in the pool.
Comment 3 Ernie 2008-12-15 09:56:28 EST
To verify:
Create a broker setup with multiple collectors. Each collector will publish info about the slots.
In cumin, go to the Grid tab. View the Statistics tab for the pool.
The number of slots displayed should be the actual number of slots in the pool, and not a multiple there-of. 
This should be evident in the green status box and in the slot visualization on the right side of the page.
Comment 4 Frantisek Reznicek 2008-12-19 11:10:38 EST
The issue has been fixed. 
Validated in HA Grid setup on nec-em{3|12|13|18|21}.rhts.bos.redhat.com where nec-em{12|21} were HA CM+SHEDD on cumin packages 
r2751 vs. r3021 on RHEL 5.2 x86_64.
Comment 6 errata-xmlrpc 2009-02-04 10:35:03 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.